Subject: [Gen-art] Gen-ART review of draft-ietf-appsawg-file-scheme-14

From: Christer Holmberg <[email-masked]>
Date: Tue, 29 Nov 2016 10:34:07 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:                       draft-ietf-appsawg-file-scheme-14.txt
Reviewer:                         Christer Holmberg
Review Date:                   29 November 2016
IETF LC End Date:           6 December 2016
IETF Telechat Date:        N/A

Summary: I don’t have any major comments regarding the technical content of the draft. However, as seen in my comments below, I fail to see exactly how RFC 1738 is updated.

Major Issues: None

Minor Issues:

The Abstract text says:

   "This document specifies the "file" Uniform Resource Identifier (URI) scheme, replacing the definition in RFC 1738.”

Q1: I suggest that the text should say that the document “updates the file URI scheme defined in RFC 1738”.

Q2: Related to Q1, in RFC 1738 the “file” scheme is defined as a URL, but in the draft it is defined as a URI. What is the reason for that?

Q3: Related to Q1, it is unclear exactly what parts of the RFC 1738 scheme is updated. For example, is the syntax updated, is the usage scope updated etc? The second
       paragraph says something, but it is unclear whether it’s related to the actual update, or whether it just provides some information regarding the usage
       of the scheme. The Acknowledgements section says that the draft is “derived” from RFC 1739. What does “derived” mean? I think there should be clear and explicit text about exactly what is updated.

Q4: Related to Q3, the text says that things are backward compatible in “most situations”. I think a little more text is needed, and e.g., examples of non-backward compatibility.

Q5: I see that RFC 1738 is only a Informative Reference. Someone can correct me if I’m wrong, but doesn’t it have to be Normative since the draft is normatively (I assume) updating the RFC?

Editorial Issues: None

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 29 Nov 2016 11:00:19 +0000

Hi Christer,

Thank you for your comments.

On Tue, Nov 29, 2016, at 10:34 AM, Christer Holmberg wrote:

> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
> 

> Summary: I don’t have any major comments regarding the technical
> content of the draft. However, as seen in my comments below, I fail to
> see exactly how RFC 1738 is updated.
> 

>    "This document specifies the "file" Uniform Resource Identifier
>    (URI) scheme, replacing the definition in RFC 1738.”
> 

>     file URI scheme defined in RFC 1738”.

This is not really useful, because RFC 1738 was already obsoleted (but
file URI definition was never update).

> Q2: Related to Q1, in RFC 1738 the “file” scheme is defined as a URL,
>     but in the draft it is defined as a URI. What is the reason for
>     that?

The term URL (Uniform Resource Locator) was replaced by a more generic
URI (Uniform Resource Identifier). Historically, some URIs were
"locators" and some were "names", but more recently a lot of URIs
exhibit both qualities. Thus the term URL should not be used.

> Q3: Related to Q1, it is unclear exactly what parts of the RFC 1738
>     scheme is updated. For example, is the syntax updated, is the
>     usage scope updated etc? The second
>        paragraph says something, but it is unclear whether it’s
>        related to the actual update, or whether it just provides some
>        information regarding the usage
>        of the scheme.

Everything is updated. The original RFC doesn't need to be read.

> The Acknowledgements section says that the draft is “derived” from RFC
> 1739. What does “derived” mean? I think there should be clear and
> explicit text about exactly what is updated.
> 

> Q4: Related to Q3, the text says that things are backward compatible
>     in “most situations”. I think a little more text is needed, and
>     e.g., examples of non-backward compatibility.
> 

> Q5: I see that RFC 1738 is only a Informative Reference. Someone can
>     correct me if I’m wrong, but doesn’t it have to be Normative since
>     the draft is normatively (I assume) updating the RFC?
No (as per above).

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 29 Nov 2016 12:34:37 +0000

Hi Alexey,

Thanks for your reply! It clarifies my issues.

However, for other outsiders like me, I think it would be really good to add some text about that in the draft. Explicitly say that the draft updates RFC 1738 by obsoleting the files URL scheme, defines a new URI scheme based on the procedures in RFC 3986. Because, as an outsider, it’s really difficult for me to figure that out, and e.g., determine what/if I need to read RFC 1738 etc. Also, the text should not only cover the technical changes (syntax etc), but also if there are changes regarding the usage etc.

Regards,

Christer

From: Alexey Melnikov <[email-masked]<mailto:[email-masked]>>
Date: Tuesday 29 November 2016 at 14:00
To: Christer Holmberg <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: Gen-ART review of draft-ietf-appsawg-file-scheme-14

Hi Christer,

Major Issues: None

Minor Issues:

The Abstract text says:

This is not really useful, because RFC 1738 was already obsoleted (but file URI definition was never update).

The term URL (Uniform Resource Locator) was replaced by a more generic URI (Uniform Resource Identifier). Historically, some URIs were "locators" and some were "names", but more recently a lot of URIs exhibit both qualities. Thus the term URL should not be used.

The Acknowledgements section says that the draft is “derived” from RFC 1739. What does “derived” mean? I think there should be clear and explicit text about exactly what is updated.

Editorial Issues: None

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 29 Nov 2016 13:09:21 +0000

Hi Christer,

> However, for other outsiders like me, I think it would be really good
> to add some text about that in the draft. Explicitly say that the
> draft updates RFC 1738 by *obsoleting* the files URL scheme, defines a
> new URI scheme based on the procedures in RFC 3986. Because, as an
> outsider, it’s really difficult for me to figure that out, and e.g.,
> determine what/if I need to read RFC 1738 etc. Also, the text should
> not only cover the technical changes (syntax etc), but also if there
> are changes regarding the usage etc.

I think this is fair. I will let the editor come up with some proposal.

Best Regards,

Alexey

> *From: *Alexey Melnikov <[email-masked]> *Date: *Tuesday 29
> November 2016 at 14:00 *To: *Christer Holmberg
> <[email-masked]>, "[email-masked]" <gen-
> [email-masked]> *Cc: *"draft-ietf-appsawg-file-
> [email-masked]" <draft-ietf-appsawg-file-
> [email-masked]> *Subject: *Re: Gen-ART review of draft-ietf-appsawg-file-scheme-
> 14
> 

>> content of the draft. However, as seen in my comments below, I fail
>> to see exactly how RFC 1738 is updated.
>> 

>> The Acknowledgements section says that the draft is “derived” from
>> RFC 1739. What does “derived” mean? I think there should be clear and

>>     correct me if I’m wrong, but doesn’t it have to be Normative
>>     since the draft is normatively (I assume) updating the RFC?
> No (as per above).

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 30 Nov 2016 10:26:54 +0000

Hi,

>>However, for other outsiders like me, I think it would be really good to add some text about that in the draft. Explicitly say that the draft updates RFC 1738 by obsoleting the files URL scheme, defines a new URI scheme based on the procedures in RFC 3986. Because, as an outsider, it’s really difficult
>>for me to figure that out, and e.g., determine what/if I need to read RFC 1738 etc. Also, the text should not only cover the technical changes (syntax
>>etc), but also if there are changes regarding the usage etc.
>

Thanks! I also suggest to remove the “derived” text from the Acknowledgements. Of course, the authors of RFC 1738 can still be acknowledged :)

Regards,

Christer

Hi Christer,

Major Issues: None

Minor Issues:

The Abstract text says:

Editorial Issues: None